Subject: Re: Whetstone.c crashes gcc: Internal compiler
From: [email-masked] (Charles J Razzell)

29 May 1998 22:52:47 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------3D6C4C5FAD08169A0BFEEFC6"
To: [email-masked]

This is a multi-part message in MIME format.
--------------3D6C4C5FAD08169A0BFEEFC6
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

> Hello,
>
> I just tried to compile
>
>   http://www.netlib.no/netlib/benchmark/whetstone.c
>
> on GNU-Win32 19.1. GCC reported
>
>   gcc: Internal error: program cc1 got fatal signal 6
>
> and stopped compilation. LCC-Win32 had no problems and
> the .exe works. Notice this version of Whetstone has date
> 22 March 1998.
>
>
I get the sampe problem, but only with certain levels of optimisation
switched on.

> gcc -O2 whetstone.c -o whetstone
> ./whetstone.exe

Loops: 1000, Iterations: 1, Duration: 2 sec.
C Converted Double Precision Whetstones: 50.0 MIPS
> gcc -O whetstone.c -o whetstone
gcc: Internal compiler error: program cc1 got fatal signal 6
> gcc -O1 whetstone.c -o whetstone
gcc: Internal compiler error: program cc1 got fatal signal 6

Hence, both -O and -O1 are causing the compiler to fall over, all other
levels including no optimisation and -O3 work fine.

I hope this helps.

Regards,

Charles Razzell.

--------------3D6C4C5FAD08169A0BFEEFC6
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Razzell, Charles
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Charles Razzell
n:              Razzell;Charles
org:            PCC
email;internet: [email-masked]
tel;work:       +1 510 445 5630
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
version:        2.1
end:            vcard

--------------3D6C4C5FAD08169A0BFEEFC6--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".